#include "FlowQueue.h"

namespace http {

   FlowQueue::FlowQueue() {
      int len = strlen(hex);
      for(int ix = 0; ix < sizeof(actionId); ++ix) {
         actionId[ix] = hex[random() % len];
      }
   }

   bool FlowQueue::process() {
      return true;
   }

   coreutils::ZString FlowQueue::getId() {
      return coreutils::ZString(actionId, sizeof(actionId));
   }

}
